<?php

namespace App\Http\Controllers\suggestedproposalamendments;

use App\Http\Controllers\Controller;
use App\Models\User;
use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SuggestedProposalAmendmentsController extends Controller
{
	public function __construct()
    {
		$this->middleware('auth');
        $this->middleware('permission:view-proposalamendments', ['only' => ['index']]);
        $this->middleware('permission:create-proposalamendments', ['only' => ['create','store']]);
        $this->middleware('permission:update-proposalamendments', ['only' => ['update','edit']]);
        $this->middleware('permission:delete-proposalamendments', ['only' => ['destroy']]);
    }
    /**
     * Display a listing of the resource.
     */
    public function index($ProposalID)
    {
		return view('suggestedproposalamendments.index',['ProposalID'=>$ProposalID]);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
      
    }

    /**
     * Display the specified resource.
     */
    public function show(organization $organization)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(organization $organization)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Organization $organization)
    {
     
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(organization $organization)
    {
        //
    }
	
}
